package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyJhxxmxbVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyJhxxmxbService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyJhxxmxbVO> getTyJhxxmxbList(TyJhxxmxbVO tyJhxxmxbVO);

	/**
	 * 分页展示
	 * @param TyJhxxmxbVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyJhxxmxbVO> getTyJhxxmxbPage(TyJhxxmxbVO tyJhxxmxbVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyJhxxmxbVO
	 * @return
	 */
	int insert(TyJhxxmxbVO tyJhxxmxbVO);

	/**
	 * 更新信息
	 * @param tyJhxxmxbVO
	 * @return
	 */
	int update(TyJhxxmxbVO tyJhxxmxbVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @return
	 */
	int delete(String jhxxid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyJhxxmxbVO getJhxxmxbByJhxxmxbid(String jhxxid);

}
